# CreateDateTime

Creates a date-time object.

Note that the core implementation of this BIF differs from ACF/Lucee in handling of a year value without a century. BoxLang respects that pre-first century years are valid and and will treat `createDate( 20 )` as 20 AD. The behavior modification to emulate ACF/Lucee would require the installation of the `bx-compat` module.

## Method Signature

```
CreateDateTime(year=[integer], month=[integer], day=[integer], hour=[integer], minute=[integer], second=[integer], millisecond=[integer], timezone=[string])
```

### Arguments

| Argument      | Type      | Required | Description                         | Default |
| ------------- | --------- | -------- | ----------------------------------- | ------- |
| `year`        | `integer` | `false`  | The year of the date-time object.   | `0`     |
| `month`       | `integer` | `false`  | The month of the date-time object.  | `1`     |
| `day`         | `integer` | `false`  | The day of the date-time object.    | `1`     |
| `hour`        | `integer` | `false`  | The hour of the date-time object.   | `0`     |
| `minute`      | `integer` | `false`  | The minute of the date-time object. | `0`     |
| `second`      | `integer` | `false`  | The second of the date-time object. | `0`     |
| `millisecond` | `integer` | `false`  |                                     | `0`     |
| `timezone`    | `string`  | `false`  |                                     |         |

## Examples

### Tag Syntax

```java
<bx:set yourDate = createDateTime( "2015", "12", "09", "6", "20", "34" ) >
<bx:dump var="#yourDate#"/>     
```

### Additional Examples

## Related

* [ClearTimezone](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/cleartimezone)
* [CreateDate](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/createdate)
* [CreateODBCDate](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/createodbcdate)
* [CreateODBCDateTime](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/createodbcdatetime)
* [CreateODBCTime](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/createodbctime)
* [CreateTime](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/createtime)
* [CreateTimeSpan](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/createtimespan)
* [DateAdd](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/dateadd)
* [DateCompare](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/datecompare)
* [DateConvert](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/dateconvert)
* [DateDiff](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/datediff)
* [DateFormat](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/dateformat)
* [DatePart](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/datepart)
* [DateTimeFormat](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/datetimeformat)
* [Day](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/day)
* [DayOfWeek](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/dayofweek)
* [DayOfWeekAsString](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/dayofweekasstring)
* [DayOfWeekShortAsString](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/dayofweekshortasstring)
* [DayOfYear](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/dayofyear)
* [DaysInMonth](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/daysinmonth)
* [DaysInYear](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/daysinyear)
* [FirstDayOfMonth](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/firstdayofmonth)
* [GetNumericDate](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/getnumericdate)
* [GetTime](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/gettime)
* [GetTimezone](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/gettimezone)
* [GetTimezoneInfo](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/gettimezoneinfo)
* [Hour](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/hour)
* [Millisecond](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/millisecond)
* [Minute](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/minute)
* [Month](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/month)
* [MonthAsString](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/monthasstring)
* [MonthShortAsString](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/monthshortasstring)
* [Nanosecond](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/nanosecond)
* [Now](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/now)
* [Offset](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/offset)
* [ParseDateTime](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/parsedatetime)
* [Quarter](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/quarter)
* [Second](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/second)
* [SetTimezone](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/settimezone)
* [TimeFormat](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/timeformat)
* [TimeUnits](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/timeunits)
* [Week](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/week)
* [Year](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/year)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/temporal/createdatetime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
